 
#include<stdio.h>
int main()
{
  int n,i,j,s;
  scanf("%d",&n);
  s=(n*2)-1;
  if(n<=0)
  {
    printf("-1\n");
    return 1;
  }
  for(i=0;i<n;i++)
  {
    for(j=1;j<=s;j++)
    {
      if(j>((n-1)-i)&&j<((n+1)+i))
      {
	if(n%2==0)
	{
	  if(i%2==0)
	  {
	    if(j%2==0)
	      putchar('*');
	    else
	      putchar('A');
	  }
	  else
	  {
	    if(j%2==0)
	      putchar('A');
	    else
	      putchar('*');
	  }
	}
	else
	{
	  if(i%2==0)
	  {
	    if(j%2==0)
	      putchar('A');
	    else
	      putchar('*');
	  }
	  else
	  {
	    if(j%2==0)
	      putchar('*');
	    else
	      putchar('A');
	  }
	}
      }
      else
	putchar(' ');
    }
    putchar('\n');
  }
  return 0;
}